Package org.apache.commons.cli

# Class MissingArgumentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.commons.cli.ParseException
org.apache.commons.cli.MissingArgumentException

All Implemented Interfaces:
  `Serializable`

public class MissingArgumentException extends ParseException
Thrown when an option requiring an argument is not provided with an argument.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MissingArgumentException(String message)`
  Constructs a new `MissingArgumentException` with the specified detail message.
  `MissingArgumentException(Option option)`
  Constructs a new `MissingArgumentException` with the specified detail message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Option`
  `getOption()`
  Gets the option requiring an argument that wasn't provided on the command line.

  ### Methods inherited from class org.apache.commons.cli.ParseException

  `wrap`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingArgumentException

    public MissingArgumentException(Option option)
    Constructs a new `MissingArgumentException` with the specified detail message.
    Parameters:
      `option` - the option requiring an argument
    Since:
      1.2

  - ### MissingArgumentException

    public MissingArgumentException(String message)
    Constructs a new `MissingArgumentException` with the specified detail message.
    Parameters:
      `message` - the detail message

- ## Method Details

  - ### getOption

    public Option getOption()
    Gets the option requiring an argument that wasn't provided on the command line.
    Returns:
      the related option
    Since:
      1.2